Subject: [Int-area] draft-van-beijnum-multi-mtu-03

From: Iljitsch van Beijnum <[email-masked]>
Date: Tue, 13 Jul 2010 01:07:00 +0200

Ok, this has been a while...

I updated my multi-mtu draft (see abstract below). I incorporated most of the comments from 2 years ago, and I made everything MUCH simpler. There is now basically only an option to advertise your MTU and a probe message,  which is a padded neighbor solicitation or ARP request. This has the advantage that we can be compatible with hosts and routers that don't know this mechanism but have a larger MTU configured administratively.

I've removed the RA option to broadcast MTU limits under the assumption that everything is sufficiently robust that it should just work without any administrative interference.

Comments would be appreciated.

Iljitsch

On 13 jul 2010, at 0:50, IETF I-D Submission Tool wrote:

> 
> A new version of I-D, draft-van-beijnum-multi-mtu-03.txt has been successfully submitted by Iljitsch van Beijnum and posted to the IETF repository.
> 
> Filename:	 draft-van-beijnum-multi-mtu
> Revision:	 03
> Title:		 Extensions for Multi-MTU Subnets
> Creation_date:	 2010-07-12
> WG ID:		 Independent Submission
> Number_of_pages: 17
> 
> Abstract:
> In the early days of the internet, many different link types with
> many different maximum packet sizes were in use.  For point-to-point
> or point-to-multipoint links, there are still some other link types
> (PPP, ATM, Packet over SONET), but multipoint subnets are now almost
> exclusively implemented as ethernets.  Even though the relevant
> standards mandate a 1500 byte maximum packet size for ethernet, more
> and more ethernet equipment is capable of handling packets bigger
> than 1500 bytes.  However, since this capability isn't standardized,
> it is seldom used today, despite the potential performance benefits
> of using larger packets.  This document specifies mechanisms to
> negotiate per-neighbor maximum packet sizes so that nodes on a
> multipoint subnet may use the maximum mutually supported packet size
> between them without being limited by nodes with smaller maximum
> sizes on the same subnet.
> 
> 
> 
> The IETF Secretariat.
>